:root {
  --color-dark-bg:#171717;
  --color-white:#ffffff;
  --color-primary:#f8a302;
  --color-stroke:#ffffff1a;
  --gradient:linear-gradient(90deg, #f8a302 0%, #aa5a04 100%);

}


.firmware-section {position:relative;z-index:1}
.firmware-section .container {padding: 64px;background:var(--color-dark-bg);border-radius: 35px;border: 1px solid var(--color-stroke);}
.firmware-section .firmware-container {display: flex;flex-direction: column;gap: 24px;}
.firmware-section .firmware-head {display:grid;grid-template-columns:250px 1fr 145px 215px;justify-items:center;padding:16px;background:#202020;border-radius:20px;gap:20px;}
.firmware-section .select-wrapper {align-items: center;display: flex;gap: 16px;width: 100%;}
.firmware-section .select-primary {position: relative;flex-grow: 1;}
.firmware-section .select-primary.disable {cursor:default;pointer-events:none}
.firmware-section .select-head {align-items: center;border:2px solid var(--selectionTextColor);border-radius:10px;cursor: pointer;display: flex;font-size: 18px;font-weight: 500;height: 40px;justify-content:space-between;text-overflow:ellipsis;white-space:nowrap;}
.firmware-section .select-head:after {
  background-image:url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='23' fill='none' viewBox='0 0 24 23'%3E%3Cpath fill='%236C7684' d='M16.827 9.14a.935.935 0 0 0-1.319 0l-3.355 3.309-3.31-3.31a.935.935 0 1 0-1.317 1.328l3.963 3.963a.933.933 0 0 0 1.327 0l4.01-3.963a.936.936 0 0 0 0-1.328'/%3E%3C/svg%3E");background-position:50%;background-repeat:no-repeat;content:"";display:block;height:24px;min-width:24px;width:24px}
.firmware-section .title_large {margin: 0;}
.firmware-section .select-dropdown,.firmware-section  .select-head {overflow: hidden;border: 1px solid #ffffff1a;}
.firmware-section .select-dropdown {border:1px solid var(--color-stroke);border-radius:10px;display: none;flex-direction:column;left:0;position:absolute;top:44px;z-index: 1;width: 100%;background: #202020;}
.firmware-section .select-dropdown.hider .select-dropdown__item {display:none}
.firmware-section .select-dropdown.hider .select-dropdown__item.show {display:block}
.firmware-section .select-primary.active .select-dropdown {display:flex}
.firmware-section .select-dropdown__item {border-bottom:1px solid var(--color-stroke);color:var(--color-text-primary);cursor:pointer;font-size:18px;font-weight:500;overflow:hidden;padding:5px 10px;text-overflow:ellipsis;white-space:nowrap}
.firmware-section .select-dropdown .select-dropdown__item:last-child {border-bottom:none}
.firmware-section .select-scroll {max-height:360px;overflow:auto}
.firmware-section .select-label {font-size: 24px;text-transform: uppercase;}
.firmware-section .select-value {display:inline-block;overflow:hidden;padding-left:10px;text-overflow:ellipsis;white-space:nowrap}
.firmware-section .firmware-inner {align-items: center;display: grid;grid-template-columns: 40% 1fr;gap: 40px;}
.firmware-section .firmware-info {display: flex;flex-direction: column;gap: 16px;width: 100%;}
.firmware-section .title_large {font-size: 64px;font-weight: 500;line-height: 1;}
.firmware-section .color_primary {color: var(--color-primary);}
.firmware-section .firmware-flex {display: flex;flex-wrap: wrap;gap: 16px;}
.firmware-section .firmware-item {display: flex;flex-direction: column;gap: 10px;max-width: 272px;width: 100%;}
.firmware-section .button {color: #ffffff;align-items: center;background: var(--gradient);border: 1px solid var(--color-stroke);border-radius:20px;cursor: pointer;display: flex;font-size: 18px;justify-content: center;padding: 18px 24px;transition: .26s ease-out;}
.firmware-section .button.blue-button {background:linear-gradient(90deg, #252525 0%, #3c3c3c 100%);;border: 1px solid var(--color-stroke);}
.firmware-section .button.disabled {opacity:0.3;cursor:default;pointer-events: none;}
span[data-text="firmware-type"] {text-transform: uppercase;}
.select-scroll.model::-webkit-scrollbar {width: 6px;}
.select-scroll.model::-webkit-scrollbar-track {background: #f1f1f1;border-radius: 3px;}
.select-scroll.model::-webkit-scrollbar-thumb {background: rgb(248, 163, 2);border-radius: 3px;}


@media (max-width: 1199px) {
    .firmware-section .firmware-head {grid-template-columns: 1fr 1fr;justify-items: flex-start;gap: 2%;}
	.firmware-section .select-wrapper {display: grid;grid-template-columns: 84px 1fr;width: 100%;margin-bottom: 7px;}
	.firmware-section .select-label {font-size: 20px;}
	.firmware-section .title_large {font-size: 34px;}
	.firmware-section .firmware-inner {grid-template-columns: 30% 1fr;}
	
	
}



@media (max-width: 1023px) {
    .firmware-section .container {padding:32px;}
	.firmware-section .title_large {font-size:28px;}
	.firmware-image {width: 200px;}
	.firmware-section .button {padding: 14px;}
	.firmware-section .select-label {font-size: 14px;text-transform: capitalize;}
	.firmware-section .select-wrapper {grid-template-columns: 60px 1fr; }
	
}

@media (max-width: 991px) {
	.firmware-section .firmware-item {max-width: 100%;}

}


@media (max-width: 767px) {
    .firmware-section .container {padding:20px;}
	.firmware-section .title {font-size: 40px;line-height: 40px;margin-bottom: 14px;}
	.firmware-section .firmware-head {padding:16px;grid-template-columns: 1fr;}
	.firmware-section .select-primary {width: 100%;}
	.firmware-section .firmware-image {display: none;}
	.firmware-section .firmware-flex {justify-content: center;}
	.firmware-section .firmware-item,.firmware-section  .firmware-item .button {max-width: none;width: 100%;}
	.firmware-section .title_large {font-size:24px;}
	.firmware-section .firmware-info {gap: 20px;margin-top: 20px;}
	.title_large br {display: none;}
	.firmware-section .firmware-inner {grid-template-columns: 1fr;}

}

@media (max-width: 374px) {
	.firmware-section .select-head{font-size:16px;}
	.firmware-section .select-wrapper {grid-template-columns: 65px 1fr;gap: 10px;}
	.firmware-section .select-dropdown__item {font-size: 14px;padding: 8px;}
	.firmware-section .title_large {font-size: 28px;line-height: 32px;}
	
}



